Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::replace_copy_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename O , typename T0 , typename T1 , typename P = ident, requires = (ReplaceCopyable<I, O, T0, T1, P>() && Sentinel<S, I>())>
tagged_pair< tag::in(I), tag::out(O)> | operator() (I begin, S end, O out, T0 const &old_value, T1 const &new_value, P proj={}) const
template<typename Rng , typename O , typename T0 , typename T1 , typename P = ident, typename I = iterator_t<Rng>, requires = (ReplaceCopyable<I, O, T0, T1, P>() && Range<Rng>())>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::out(O)> | operator() (Rng &&rng, O out, T0 const &old_value, T1 const &new_value, P proj={}) const